TwoAssetBarrierOption::arguments Class Reference

Arguments for two-asset barrier option calculation More...

`#include <ql/experimental/exoticoptions/twoassetbarrieroption.hpp>`

Inheritance diagram for TwoAssetBarrierOption::arguments:
[legend]

## Public Member Functions

void | validate () const
Public Member Functions inherited from Option::arguments
void | validate () const

## Public Attributes

Barrier::Type | barrierType
Real | barrier
Public Attributes inherited from Option::arguments
ext::shared_ptr< Payoff > | payoff
ext::shared_ptr< Exercise > | exercise

## Detailed Description

Arguments for two-asset barrier option calculation